import 'package:flutter/material.dart';


class Transition extends StatelessWidget {
  final Animation<double> animation;
  final Widget widget;
  final BuildContext context;
  final Size size;
  final Animation<double> animationScale;
  final Color color;

  Transition(
      {@required this.animation,
        @required this.widget,
        @required this.context,
        @required this.color})
      : size = MediaQuery.of(context).size,
        animationScale = Tween<double>(begin: 1.0, end: 0.0).animate(animation);

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: <Widget>[
        widget,
        AnimatedBuilder(
            animation: animationScale,
            builder: (context, child) {
              return Center(
                child: Transform.scale(
                  scale: animationScale.value * 2.5,
                  child: Container(
                    height: size.height,
                    width: size.height,
                    decoration: BoxDecoration(
                      shape: BoxShape.circle,
                      color: color,
                    ),
                  ),
                ),
              );
            }),
      ],
    );
  }
}
